Subject: Re: [X2Go-Dev] Bug#105: Logic errors in x2goruncommand

From: Mike Gabriel <[email-masked]>
Date: Mon, 11 Feb 2013 22:46:32 +0100

tag #105 pending
thanks

Hi Matthew,

On Fr 18 Jan 2013 18:15:56 CET "Matthew L. Dailey" wrote:

> Package: x2goserver
> Version: 4.1.0.0
>
> Greetings.
>
> In working on a deployment of X2Go on some Ubuntu machines, I found  
> some logic errors in the x2goruncommand script that cased it not to  
> determine the proper session to run for Gnome or Unity on Ubuntu  
> 12.04 (and probably others). In essence, the script was testing the  
> return code of bc, rather than the actual answer (1 or 0) to the  
> boolean question being passed to it.
>
> Here is a patch (also attached) that fixes this problem and I can  
> verify that this works on at least Ubuntu 12.04 systems. I don't  
> have any others I can easily test on. I'm not crazy about the quotes  
> both outside and inside $(), but I think it should be okay. Perhaps  
> a more adept bash programmer might have a better suggestion. :-)
>
> Thanks for your attention and please let me know if you have any  
> questions or need any other information. And, thanks for your hard  
> work on this terrific project!

Thanks for spotting this issue!!!

Fixed in Git Vcs:
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=cd23b80ca2f1056500e8b78cedebf60089086bda

The fix will be available in X2Go Server 4.0.0.1 (next release).

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb